Subject: Re: FW: I can jam cygwin in 2 minutes - can you?- "Cannot fork: Permi ssion denied" jam
From: "Mike W." <[email-masked]>
To: Andrew Inggs <[email-masked]>
Cc: [email-masked]
Date: Thu, 27 Mar 2003 08:25:26 -0800 (PST)

Thanks Andrew, I appreciate that. It is the first
unbugged output I have seen. 

I did a bit more digging, and it seems the bug is
found in my Windows install and simply manifests in
cygwin; since I can jam without cygwin.

Most cygwin users do not have the bug, but if a user
sees errors related to the ones I have posted about,
you can test to see if you have this bug using the
tests I have provided in the posts.

I will post if I find a solution. Unless anyone has
any better suggestions, my next contemplated move is
reinstalling WIN 2000.  I love it when a proprietary
system breaks.  Until then, I can not build
ImageMagick or other big things.

http://www.cygwin.com/ml/cygwin/2003-03/msg01788.html

 

--- Andrew Inggs <[email-masked]> wrote:
> Mike W. wrote:
> > Thanks.  Unfortunately for me, I am running sp3.
> > 
> > Cygwin Win95/NT Configuration Diagnostics
> > Current System Time: Fri Mar 21 16:37:16 2003
> > 
> > Windows 2000 Professional Ver 5.0 Build 2195
> Service
> > Pack 3
> > 
> > Can you please send me the output of 
> > 
> > cygcheck -sr > cygcheck_Elfyn_McBratney.txt
> > 
> 
> Mike,
> 
> I don't know if this is useful, but since I'm also
> running Windows 2000 
> SP3, I gave your crashme script a go.  It doesn't
> cause me any problems. 
> Attached is a bzip2 compressed version of the
> crashme output and also 
> the plain text version of cygcheck -s -v -r.  I ran
> the script for about 
> half an hour.
> 
> Regards,
>   Andrew
> 

google bait:

> 
> Here is when it crashes for me:
> 
> (You can exit from the script with ^C occasionally
> when you am getting close... then run it some more. 
> A
> rest break does not fix the problem in my
> experience...)
> 
> $ ./crashme
> 1
>      UID     PID    PPID TTY     STIME COMMAND
>  WESTMWJ    2936    2916 con  14:55:02 /usr/bin/ps
> 2
>      UID     PID    PPID TTY     STIME COMMAND
>  WESTMWJ    2980    2916 con  14:55:03 /usr/bin/ps
> 3
>      UID     PID    PPID TTY     STIME COMMAND
>  WESTMWJ    3016    2916 con  14:55:03 /usr/bin/ps
> 4
> 
> ... about 8 minutes pass...
> 
> 930
>      UID     PID    PPID TTY     STIME COMMAND
>  WESTMWJ   36768    2948 con  15:03:14 /usr/bin/ps
> 931
>      UID     PID    PPID TTY     STIME COMMAND
>  WESTMWJ   36788    2948 con  15:03:15 /usr/bin/ps
> 932
>    2404 [main] ps 36848 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
>      UID     PID    PPID TTY     STIME COMMAND
>    2461 [main] ps 36868 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
> 933
>    2921 [main] ps 36824 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
>      UID     PID    PPID TTY     STIME COMMAND
>    2643 [main] ps 36904 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
> 934
>    2627 [main] ps 36796 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
>      UID     PID    PPID TTY     STIME COMMAND
>    2684 [main] ps 36940 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
> 935
>    2179 [main] ps 36892 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
> ./crashme: grep: permission denied
>    2562 [main] ps 36932 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
> ./crashme: grep: permission denied
> 936
>    2569 [main] ps 36980 winpids::enumNT: error
> 0xC0000005 reading system process
>  information
> ./crashme: grep: permission denied
> ./crashme: /usr/bin/ps: permission denied
> 937
> ./crashme: /usr/bin/ps: permission denied
> ./crashme: /usr/bin/ps: permission denied
> 938
> ./crashme: /usr/bin/ps: permission denied
> ./crashme: Cannot fork: Permission denied
> $

__________________________________________________
Do you Yahoo!?
Yahoo! Platinum - Watch CBS' NCAA March Madness, live on your desktop!
http://platinum.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/